
set echo on

SELECT deptno
,      ename
,      hiredate
,      LAG(ename,1,NULL) OVER
          (PARTITION BY deptno
           ORDER BY hiredate ASC NULLS LAST) AS previous_employee_ename
,      LEAD(ename,1,NULL) OVER
           (PARTITION BY deptno
            ORDER BY hiredate ASC NULLS LAST) AS next_employee_ename
FROM   emp
ORDER  BY
       deptno;

