
set echo on

SELECT empno
,      deptno
,      sal
,      SUM(sal) OVER
          (PARTITION BY deptno
           ORDER BY ename ASC NULLS LAST) AS department_running_total
,      ROW_NUMBER() OVER
          (PARTITION BY deptno
           ORDER BY ename ASC NULLS LAST) AS employees_in_running_total
FROM   emp
ORDER  BY
       deptno
,      ename;

