
set echo on

SELECT deptno
,      ename
,      sal
,      dept_sal
,      ROUND(employees_dept_ratio*100,2) AS emps_proportion
FROM  (SELECT deptno
       ,      ename
       ,      sal
       ,      SUM(sal) OVER
                 (PARTITION BY deptno) AS dept_sal
       ,      RATIO_TO_REPORT(sal) OVER
                 (PARTITION BY deptno) AS employees_dept_ratio
       FROM   emp)
ORDER  BY
       deptno;

